<!DOCTYPE html>
<html>
    <head>
        <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
        <meta content="utf-8" http-equiv="encoding">
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <script src="javascript/javascript.js"></script>
    </head>

    <body>
        <ul id="roomList">
            <div class="square">fan</div>   
            <div class="square">light</div>   
        </ul>
        <p id="demo1">-msg-</p>
        <p id="demo2">-msg-</p>
        <p id="demo3">-msg-</p>
        <p id="demo4">-msg-</p>
        <h2> javascript --></h2>
        
        <button type="button" onclick="checkCancel()">try1</button>
        <button type="button" onclick="websocketConn()">Connect</button>
        <!-- websockets.html -->
        <input id="input" type="text" />
        <button onclick="send()">Send</button>
        <pre id="output"></pre>
    </body>
</html>